## mx-samba-config 0.21.12.01

=== debian/changelog ===
mx-samba-config (0.21.12.01) mx; urgency=medium

  * Version bump. Changes listed in github repo

 -- Adrian <adrian@mxlinux.org>  Sun, 26 Dec 2021 21:06:18 -0500

mx-samba-config (0.21.12) mx; urgency=medium

  * Initial build

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Dec 2021 19:14:52 -0500
