## mx-samba-config 22.1

=== debian/changelog ===
mx-samba-config (22.1) mx; urgency=medium

  * First official release with translations

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Jan 2022 14:22:36 -0500
