## mx-samba-config 22.4

=== debian/changelog ===
mx-samba-config (22.4) mx; urgency=medium

  * update postinstall, don't setup group if already exists

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 01 Apr 2022 22:37:53 -0400

mx-samba-config (22.3) mx; urgency=medium

  * adjust postinstall 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 27 Mar 2022 14:36:23 -0400
