## mx-samba-config 22.7

=== debian/changelog ===
mx-samba-config (22.7) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 12:29:43 -0400
