## mx-samba-config 22.8

=== debian/changelog ===
mx-samba-config (22.8) mx; urgency=medium

  * Fix adding user

 -- Adrian <adrian@mxlinux.org>  Wed, 10 Aug 2022 21:23:46 -0400
