## mx-samba-config 23.03

=== debian/changelog ===
mx-samba-config (23.03) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 08 Mar 2023 22:52:25 -0500
