## mx-samba-config 23.5

=== debian/changelog ===
mx-samba-config (23.5) mx; urgency=medium

  * Update logo

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 22:43:51 -0400
