## mx-samba-config 23.7

=== debian/changelog ===
mx-samba-config (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 17:08:28 -0400
