## mx-samba-config 23.12

=== debian/changelog ===
mx-samba-config (23.12) mx; urgency=medium

  * Fix about window title

 -- Adrian <adrian@mxlinux.org>  Fri, 08 Dec 2023 10:51:20 -0500
