## mx-samba-config 24.3

=== debian/changelog ===
mx-samba-config (24.3) mx; urgency=medium

  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:59:21 -0400

mx-samba-config (23.12.02) mx; urgency=medium

  * Small fix: run both update-rc.d and systemctl on MX

 -- Adrian <adrian@mxlinux.org>  Fri, 08 Dec 2023 21:41:57 -0500

mx-samba-config (23.12.01) mx; urgency=medium

  * Generalize: don't assume service command available

 -- Adrian <adrian@mxlinux.org>  Fri, 08 Dec 2023 19:55:17 -0500
