## mx-samba-config 25.11

=== debian/changelog ===
mx-samba-config (25.11) mx; urgency=medium

  * Various fixes
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Wed, 05 Nov 2025 23:48:57 -0500
