## mx-samba-config 25.12

=== debian/changelog ===
mx-samba-config (25.12) mx; urgency=medium

  * Validate share permission selection before saving

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Dec 2025 11:48:47 -0500
