## mx-samba-config 25.12.1

=== debian/changelog ===
mx-samba-config (25.12.1) mx; urgency=medium

  * Updated share permissions handling: the dialog now only requires at
    least one selected access across all users (Everyone can stay
    unset).
  * Permission strings are built with a joined list to avoid
    malformed ACLs when only specific entries are chosen.

 -- Adrian <adrian@mxlinux.org>  Wed, 03 Dec 2025 14:18:20 -0500
